Bug 22607 - Default value in issues.renewals should be '0' not null
Summary: Default value in issues.renewals should be '0' not null
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Josef Moravec
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17003
  Show dependency treegraph
 
Reported: 2019-03-29 07:51 UTC by Josef Moravec
Modified: 2019-04-23 13:28 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22607: Change default value in issues.renewals to '0'. (3.62 KB, patch)
2019-03-29 08:16 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22607: Change default value in issues.renewals to '0'. (3.67 KB, patch)
2019-03-29 14:04 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-03-29 07:51:40 UTC

    
Comment 1 Josef Moravec 2019-03-29 08:16:56 UTC
Created attachment 87154 [details] [review]
Bug 22607: Change default value in issues.renewals to '0'.

This patch change renewals column of issues and old_issues tables.

Now it is NOT NULL default 0. It does not make sense when number of
renewals is undefined, it is always integer with value zero or more
Comment 2 Martin Renvoize 2019-03-29 14:04:29 UTC
Created attachment 87208 [details] [review]
Bug 22607: Change default value in issues.renewals to '0'.

This patch change renewals column of issues and old_issues tables.

Now it is NOT NULL default 0. It does not make sense when number of
renewals is undefined, it is always integer with value zero or more

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2019-03-29 14:05:07 UTC
Going straight for PQA on this one.. it's tiny and makes complete sense.
Comment 4 Martin Renvoize 2019-03-29 14:05:32 UTC
Works well, no test failures, no regressions I can see and qa scripts all pass..

Passing QA
Comment 5 Nick Clemens 2019-04-05 13:11:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-04-15 10:36:56 UTC
Pushed to 18.11.x for 18.11.05
Comment 7 Lucas Gass 2019-04-23 13:28:23 UTC
backported to 18.05.x for 18.05.12